Target version: Operational   

Story Points:    

Description

I've turned on synchronization for the KUBI MN, and need to check that objects are sync'ing correctly.

Subtasks:

Task # 4061: Fix stmml:unit validation errors in KUBI EML Closed

Task # 4062: Verify trusted certificates on the KUBI MN Closed

Task # 4141: Verify server SSL server certificate installation Closed

History

#1 - 2013-10-07 16:17 - Chris Jones

- % Done changed from 0 to 50

- Status changed from New to In Progress

I've looked through tthe CN synchronization logs, and have found many errors in calling create() on the CN for the KUBI EML files, particularly with

regard to the stmml:unit additional metadata.  After running a few of the EML document through the EML validator, they validate fine.  This points to a

potential issue with the stated namespace in the EML file, or perhaps a misconfiguration in the CNs schema catalog in Metacat.  I'm continuing to

track this down.

I've also noticed that the unit ids are a bit different then the camelCap convention used in the EML unit dictionary, in that they are formula strings like

'degrees C * 10'.  Although not technically a problem, if they were to be adopted into the standard unit dictionary, it would be best to use an id like

'degreesCelsiusTimesTen' or 'decaDegreesCelcius'.  Needs some discussion.

#2 - 2013-10-08 00:12 - Chris Jones

We actually have synchronized content from the KUBI node into the stage environment (274 of 542 objects so far), but for some reason the objects

are not showing up in the index.  This could be that the indexer was not turned on, or that there is an AccessPolicy issue.  I'll be looking at both

scenarios. I'm also still tracking down the namespace issues for stmml elements.

So far we have:

object_format             | cnt

---------------------------------------+-----

text/plain                            |  11

eml://ecoinformatics.org/eml-2.1.1    |  36

 http://www.openarchives.org/ore/terms | 118

eml://ecoinformatics.org/eml-2.0.1    |   1

image/tiff                            | 108
#3 - 2013-11-13 18:36 - Bruce Wilson

- Target version changed from 315 to Deploy by end of Y5Q2

#4 - 2013-11-20 16:15 - Roger Dahl

Found a number of sync errors, divided into 5 categories of exceptions. Are working on these.

#5 - 2013-12-12 16:11 - Roger Dahl

- Status changed from In Progress to Closed

- translation missing: en.field_remaining_hours set to 0.0

All exceptions are resolved and KUBI is ready to go into production.

#6 - 2014-02-03 16:04 - Laura Moyers

- Target version changed from Deploy by end of Y5Q2 to Deploy by end of Y5Q3

#7 - 2014-02-20 21:21 - Laura Moyers

- Target version changed from Deploy by end of Y5Q3 to Operational
